> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve authorization controls

> Retrieve the applicable spend limits for the given card account



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/card_accounts/{cardAccountID}/auth_controls
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/auth_controls:
    get:
      tags:
        - Cards
      summary: Retrieve authorization controls
      description: Retrieve the applicable spend limits for the given card account
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
      responses:
        '200':
          description: The authorization controls
          content:
            application/json:
              schema:
                title: Authorization controls
                type: object
                required:
                  - customer_id
                  - card_account_id
                  - spending_limits
                properties:
                  customer_id:
                    type: string
                    description: The ID of the customer
                  card_account_id:
                    type: string
                    description: The ID of the card account
                  spending_limits:
                    type: array
                    description: >-
                      The various spending limits for the card account for the
                      current time period
                    items:
                      $ref: '#/components/schemas/CardSpendingLimit'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    CardSpendingLimit:
      description: A spending limit for a card account
      required:
        - period
        - total_amount
        - remaining_amount
      properties:
        period:
          type: string
          description: The period of the spending limit
          enum:
            - daily
            - trial_lifetime
        timezone:
          type: string
          description: >-
            The timezone of the spending limit, only applicable to spending
            limits that have a `next_reset_at`
        next_reset_at:
          type: string
          description: The next reset time of the spending limit, in ISO8601 format
        total_amount:
          type: string
          description: The total amount of the spending limit
        remaining_amount:
          type: string
          description: The remaining amount of the spending limit
        currency:
          $ref: '#/components/schemas/FiatCurrency'
          description: The currency of the spending limit
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    FiatCurrency:
      type: string
      enum:
        - usd
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````